
set echo on
set serveroutput off

ASSOCIATE STATISTICS WITH FUNCTIONS quick_function DEFAULT SELECTIVITY 0.1;
ASSOCIATE STATISTICS WITH FUNCTIONS slow_function DEFAULT SELECTIVITY 50;

@flush thousand_rows

set autotrace traceonly explain

SELECT *
FROM   thousand_rows
WHERE  quick_function(n1) = 0;

SELECT *
FROM   thousand_rows
WHERE  slow_function(n1) = 0;

set autotrace traceonly
set timing on

SELECT *
FROM   thousand_rows
WHERE  slow_function(n1) = 0
AND    quick_function(n1) = 0;

set timing off
set autotrace off

DISASSOCIATE STATISTICS FROM FUNCTIONS quick_function, slow_function;

