
set echo on
set serveroutput off

DISASSOCIATE STATISTICS FROM FUNCTIONS high_cpu_io, low_cpu_io;
ASSOCIATE STATISTICS WITH FUNCTIONS high_cpu_io DEFAULT COST (6747773, 210, 0);
ASSOCIATE STATISTICS WITH FUNCTIONS low_cpu_io DEFAULT COST (97794, 0, 0);

@flush thousand_rows

set autotrace traceonly explain

SELECT *
FROM   thousand_rows
WHERE  high_cpu_io(n1) = 0
AND    low_cpu_io(n1) = 0;

set autotrace off


