
set echo on

set autotrace traceonly explain

SELECT *
FROM   thousand_rows
WHERE  high_cpu_io(n1) = 0;

SELECT *
FROM   thousand_rows
WHERE  low_cpu_io(n1) = 0;

ASSOCIATE STATISTICS WITH FUNCTIONS high_cpu_io DEFAULT COST (10000, 1000, 0);
ASSOCIATE STATISTICS WITH FUNCTIONS low_cpu_io DEFAULT COST (100, 0, 0);

@flush thousand_rows

SELECT *
FROM   thousand_rows
WHERE  high_cpu_io(n1) = 0;

SELECT *
FROM   thousand_rows
WHERE  low_cpu_io(n1) = 0;

SELECT *
FROM   thousand_rows
WHERE  high_cpu_io(n1) = 0
AND    low_cpu_io(n1) = 0;

set autotrace off

