
set echo on
set serveroutput on

exec mystats_pkg.ms_start;

DECLARE
   n INTEGER;
BEGIN
   FOR i IN 1 .. 100 LOOP
      n := high_cpu_io(i);
   END LOOP;
END;
/

BEGIN
   mystats_pkg.ms_stop(
      mystats_pkg.statname_ntt('consistent gets','db block gets'));
END;
/

exec mystats_pkg.ms_start;

DECLARE
   n INTEGER;
BEGIN
   FOR i IN 1 .. 100 LOOP
      n := low_cpu_io(i);
   END LOOP;
END;
/

BEGIN
   mystats_pkg.ms_stop(
      mystats_pkg.statname_ntt('consistent gets','db block gets'));
END;
/

DECLARE
   n NUMBER;
BEGIN
   n := 1000 * DBMS_ODCI.ESTIMATE_CPU_UNITS(&time);
   DBMS_OUTPUT.PUT_LINE(ROUND(n,0));
END;
/

/


