
set echo on

CREATE TYPE promo_stats_ot AS OBJECT (

   dummy_attribute NUMBER,

   STATIC FUNCTION ODCIGetInterfaces (
                   p_interfaces OUT SYS.ODCIObjectList
                   ) RETURN NUMBER,

   STATIC FUNCTION ODCIStatsSelectivity (
                   p_pred_info      IN  SYS.ODCIPredInfo,
                   p_selectivity    OUT NUMBER,
                   p_args           IN  SYS.ODCIArgDescList,
                   p_start          IN  VARCHAR2,
                   p_stop           IN  VARCHAR2,
                   p_promo_category IN  VARCHAR2,
                   p_env            IN  SYS.ODCIEnv
                   ) RETURN NUMBER,

   STATIC FUNCTION ODCIStatsFunctionCost (
                   p_func_info      IN  SYS.ODCIFuncInfo,
                   p_cost           OUT SYS.ODCICost,
                   p_args           IN  SYS.ODCIArgDescList,
                   p_promo_category IN  VARCHAR2,
                   p_env            IN  SYS.ODCIEnv
                   ) RETURN NUMBER
);
/
