
set echo on

DISASSOCIATE STATISTICS FROM FUNCTIONS promo_function;

ASSOCIATE STATISTICS WITH FUNCTIONS promo_function USING promo_stats_ot;

ALTER SESSION SET EVENTS '10053 trace name context forever, level 1';

set autotrace traceonly explain

SELECT *
FROM   sh.promotions
WHERE  promo_function(promo_category) = 'TV';

SELECT *
FROM   sh.promotions
WHERE  promo_function(promo_category) = 'RADIO';

set autotrace off

var bv_category VARCHAR2(30);
exec :bv_category := 'INTERNET';

set serveroutput off

SELECT *
FROM   sh.promotions
WHERE  promo_function(promo_category) = :bv_category;

SELECT *
FROM   TABLE(DBMS_XPLAN.DISPLAY_CURSOR);

ALTER SESSION SET EVENTS '10053 trace name context off';


